package com.jasamedika.medifirst2000.vo;

import java.sql.Date;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.IpsrsKapasitasJenisPemakaian;
import com.jasamedika.medifirst2000.helper.Caption;

public class IpsrsPemakaianRuanganVO extends BaseTransactionVO{
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Kapasitas Jenis Pemakaian")
	private IpsrsKapasitasJenisPemakaianVO ipsrsKapasitasJenisPemakaian;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Ruangan")
	private RuanganVO ruangan;
	
	@NotNull(message = "Periode tidak boleh kososng")
	@Caption(value = "Periode")
	private Date periode;
	
	@NotNull(message = "Jumlah Meter Awal tidak boleh kosong")
	@Caption(value = "Jumlah Meter Awal")
	private float jumlahMeterAwal;
	
	@Caption(value = "Jumlah Meter Ahir")
	private float jumlahMeterAhir;
	
	@Caption(value = "Jumlah Pemakaian")
	private float jumlahPemakaian;
	
	@Caption(value = "Biaya/Bulan")
	private Double biayaPerBulan;

	public IpsrsKapasitasJenisPemakaianVO getIpsrsKapasitasJenisPemakaian() {
		return ipsrsKapasitasJenisPemakaian;
	}

	public void setIpsrsKapasitasJenisPemakaian(IpsrsKapasitasJenisPemakaianVO ipsrsKapasitasJenisPemakaian) {
		this.ipsrsKapasitasJenisPemakaian = ipsrsKapasitasJenisPemakaian;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	public Date getPeriode() {
		return periode;
	}

	public void setPeriode(Date periode) {
		this.periode = periode;
	}

	public float getJumlahMeterAwal() {
		return jumlahMeterAwal;
	}

	public void setJumlahMeterAwal(float jumlahMeterAwal) {
		this.jumlahMeterAwal = jumlahMeterAwal;
	}

	public float getJumlahMeterAhir() {
		return jumlahMeterAhir;
	}

	public void setJumlahMeterAhir(float jumlahMeterAhir) {
		this.jumlahMeterAhir = jumlahMeterAhir;
	}

	public float getJumlahPemakaian() {
		return jumlahPemakaian;
	}

	public void setJumlahPemakaian(float jumlahPemakaian) {
		this.jumlahPemakaian = jumlahPemakaian;
	}

	public Double getBiayaPerBulan() {
		return biayaPerBulan;
	}

	public void setBiayaPerBulan(Double biayaPerBulan) {
		this.biayaPerBulan = biayaPerBulan;
	}

}
